/*
 * Copyright 2009-2010 Nanjing RedOrange ltd (http://www.red-orange.cn)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package redora.exceptions;

/**
 * Wrapper for exceptions when a lazy loaded field is retrieved.
 *
 * @author Nanjing RedOrange (http://www.red-orange.cn)
 * */
public class LazyException extends RedoraException {
    private static final long serialVersionUID = 1L;

    public LazyException(String s, Exception e) {
        super(s, e);
    }
    public LazyException(String s) {
        super(s);
    }
}
